<?php

namespace TYPO3\igconfig;

/**
 * @author Severin Kaderli <sk@internetgalerie.ch>
 */
class SitemapManager {

    /**
     * @var array
     */
    public $cObj;

    /**
     * Removes the menu elements from the sitemap where ig_hide_in_sitemap
     * is checked.
     *
     * @param array $menu - All menu items
     * @param array $conf - The typoscript configuration
     * @return array - The final menu
     */
    public function hideEntries($menu, $conf) {
        $newMenu = [];

        // Loop through each menu item and hide it if ig_hide_in_sitemap
        // is checked.
        foreach ($menu as $menuItem) {
            if ($menuItem["ig_hide_in_sitemap"] == 0) {
                $newMenu[] = $menuItem;
            }
        }

        return $newMenu;
    }

}
